---------------------------------------------------------------------------------
--
-- Add new FRH_PROPERTY entry for Dynamic Summarization
--
---------------------------------------------------------------------------------

merge into FRH_PROPERTY p
USING (select 'dys_extendtime' as property_name from dual) ac
                  ON (p.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
    PROPERTY_ID,PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
    CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
    PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 property_seq.nextval
 ,'dys_extendtime' 
 , '3600'
 , 'Additional time in seconds to extract transactions'
 , 'Additional time in seconds to extract transactions'        
 , 'dynsumm'
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 ,  'system'  
 ,  'system'  
 ,  SYS_EXTRACT_UTC(CURRENT_TIMESTAMP) 
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
;
commit;

---------------------------------------------------------------------------------
--
-- Insert version release 3.3.1.9 (3.3 M1 HF9 )
--
---------------------------------------------------------------------------------


insert into frh_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.3.1.9', current_date, '3.3 M1 HF9 DDL', 'DDL');
commit;	




